## ros-melodic-flir-ptu-driver 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(flir_ptu_driver)

find_package(catkin REQUIRED COMPONENTS actionlib diagnostic_updater roscpp roslaunch roslint rospy serial sensor_msgs tf)
find_package(Boost REQUIRED)

catkin_package(
   LIBRARIES flir_ptu_driver
   CATKIN_DEPENDS sensor_msgs serial
)

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(flir_ptu_driver src/driver.cpp)
target_link_libraries(flir_ptu_driver ${catkin_LIBRARIES})

## Declare a cpp executable
add_executable(flir_ptu_node src/node.cpp)
target_link_libraries(flir_ptu_node ${catkin_LIBRARIES} flir_ptu_driver)
add_dependencies(flir_ptu_node flir_ptu_msgs_generate_messages_cpp)
set_target_properties(flir_ptu_node
                      PROPERTIES OUTPUT_NAME ptu_node PREFIX "")

install(TARGETS flir_ptu_driver flir_ptu_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS scripts/cmd_angles
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## Tests
roslint_cpp()
roslint_add_test()
roslaunch_add_file_check(launch/ptu.launch
  DEPENDENCIES flir_ptu_example_urdf flir_ptu_node)

=== debian/changelog ===
ros-melodic-flir-ptu-driver (0.2.1-1bionic) bionic; urgency=high

  * Don't load the description & start the robot_state_publisher by default
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 26 Mar 2021 04:00:00 -0000

ros-melodic-flir-ptu-driver (0.2.0-1bionic) bionic; urgency=high

  * Linter fixes.
  * Added udev rule (#39 <https://github.com/ros-drivers/flir_ptu/issues/39>)
  * Added disable limits and home commands (#38 <https://github.com/ros-drivers/flir_ptu/issues/38>)
    * Adding parameters for software range limits disable
    * Adding parameters for software range limits disable
    * Added ability to disable software limits
    * Added reset subscribed topic to home PTU. This causes driver crash, so
    added respawn directive to launch file.
    * Minor edits to comply with style guide
  * Add default velocity support
  * Driver was crashing. Change nulls and emptys to 0s to allow typecasting to double
  * added queue_size to cmd_angles (#23 <https://github.com/ros-drivers/flir_ptu/issues/23>)
  * Fix linter, add sleep to blocking loop.
  * Fix publish topic in cmd_angles script.
  * Contributors: Allison Thackston, Ilia Baranov, Mike Purvis, TheDash, Tony Baltovski, Will Baker, dniewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 21 Jun 2018 04:00:00 -0000

ros-melodic-flir-ptu-driver (0.1.4-1bionic) bionic; urgency=high

  * Fix repository and bug-tracker URLs.
  * Add more URL elements
  * Update package description
  * Fix tabs->spaces in launch file.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Jul 2014 04:00:00 -0000

ros-melodic-flir-ptu-driver (0.1.3-1bionic) bionic; urgency=high

  * catkin_lint fixes
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 13 Apr 2014 04:00:00 -0000

ros-melodic-flir-ptu-driver (0.1.2-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 12 Apr 2014 04:00:00 -0000

ros-melodic-flir-ptu-driver (0.1.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 11 Apr 2014 04:00:00 -0000

ros-melodic-flir-ptu-driver (0.1.0-1bionic) bionic; urgency=high

  * Parameterize the joint name.
  * Add a new simple script for commanding the PTU.
  * Remove package for actions; should use control_msgs instead.
  * Remove Rate in favour of a Timer callback.
  * Add roslint.
  * Automatic astyle whitespace/padding fixes.
  * Major refactoring.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 10 Apr 2014 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-flir-ptu-driver
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-serial, ros-melodic-tf
Homepage: http://wiki.ros.org/flir_ptu_driver
Standards-Version: 3.9.2

Package: ros-melodic-flir-ptu-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-diagnostic-updater, ros-melodic-flir-ptu-description, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-serial, ros-melodic-tf
Description: Driver for the FLIR pan/tilt units.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-flir-ptu-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
